/**
 **	File ......... MyMinderSocket.h
 **	Published ....  2004-04-20
**/
/*
Copyright (C) 2004  grymse@telia.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _MYMINDERSOCKET_H
#define _MYMINDERSOCKET_H

#include <MinderSocket.h>
#include "MyMinionSocket.h"


class MyMinderSocket : public MinderSocket
{
public:
	MyMinderSocket(SocketHandler&,const std::string& app);
	~MyMinderSocket();

	MinionSocket *CreateMinionSocket(const std::string& s,ipaddr_t a,port_t p) { 
		return new MyMinionSocket(Handler(),s,a,p); 
	}
	int GetMaxConnections() { return 3; }
	void OnSwitchDatabase(const std::string&) {}
	
};




#endif // _MYMINDERSOCKET_H
